Package com.opensymphony.sitemesh.webapp.decorator

# Class ExternalDispatchedDecorator

java.lang.Object
com.opensymphony.sitemesh.webapp.decorator.BaseWebAppDecorator
com.opensymphony.sitemesh.webapp.decorator.DispatchedDecorator
com.opensymphony.sitemesh.webapp.decorator.ExternalDispatchedDecorator

All Implemented Interfaces:
  `Decorator`

public class ExternalDispatchedDecorator extends DispatchedDecorator
Decorator that dispatches to another path in A DIFFERENT WEB-APP in the same Servlet Container (such as a JSP or path mapped to a Servlet).

The Content and SiteMeshContext objects are passed to the decorator using the HttpServletRequest attributes `DispatchedDecorator.CONTENT_KEY` and `DispatchedDecorator.CONTEXT_KEY`.

To dispatch to a decorator in the same web-app, use `DispatchedDecorator`.

Since:
  SiteMesh 3.0
Author:
  Joe Walnes

## Field Summary

Fields
Modifier and Type
Field
Description
`private final String`
`webApp`

### Fields inherited from class com.opensymphony.sitemesh.webapp.decorator.DispatchedDecorator

`CONTENT_KEY, CONTEXT_KEY`

## Constructor Summary

Constructors
Constructor
Description
`ExternalDispatchedDecorator(String path, String webApp)`

## Method Summary

Modifier and Type
Method
Description
`protected javax.servlet.ServletContext`
`locateWebApp(javax.servlet.ServletContext context)`

### Methods inherited from class com.opensymphony.sitemesh.webapp.decorator.DispatchedDecorator

`render`

### Methods inherited from class com.opensymphony.sitemesh.webapp.decorator.BaseWebAppDecorator

`render`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### webApp

private final String webApp

## Constructor Details

### ExternalDispatchedDecorator

public ExternalDispatchedDecorator(String path, String webApp)

## Method Details

### locateWebApp

protected javax.servlet.ServletContext locateWebApp(javax.servlet.ServletContext context)

Overrides:
  `locateWebApp` in class `DispatchedDecorator`